#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <err.h>
#include <errno.h>

#include <sys/ioctl.h>
#include "../piopc.h"

int main() {
	int f;
	unsigned char d[2] = {1, 1<<3};
	unsigned int i;
	unsigned char cfg;

	f = open("/dev/pio0", O_RDWR);
	if (f < 0) err(1, "open");

	printf("amask: %d\n", ioctl(f, PIOPC_SET_PORTA_MASK, 0x00));
//	printf("bmask: %d\n", ioctl(f, PIOPC_SET_PORTB_MASK, 0x0F));
	printf("vppr: %d\n", ioctl(f, PIOPC_SET_VPP, 33));
/*	ioctl(f, PIOPC_GET_CFG, &cfg);
	printf("cfg: 0x%02X\n", cfg & 0x3F);
	//ioctl(f, PIOPC_SET_DELAY, 0x00);
//	for (i = 0; i < 10000; ++i)*/
	write(f, d, 2);
//	read(f, d, 2);
//	printf("Got %02X %02X\n", d[0], d[1]);

	sleep(1);

	close(f);

	return 0;
}
